@echo off
echo off
cls
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **  GraphicsENGINE Graphics Accelerator                                 **
rem  **                     and                                              **
rem  **                 Generic CADD                                         **
rem  **                                                                      **
rem  **************************************************************************
echo ACTIX Systems, Inc.
echo Device Driver Install Disk
echo for Generic Software products.
echo .
echo Please wait a moment while I find which applications are installed...
echo .
rem
rem first, make certain we're not logged onto the A drive
rem
if NOT EXIST install.bat goto Contin
rem
rem since we are, lets go to the C: drive
rem
c:
cd \
echo Searching for Generic products on C: drive.
goto ins_lv2
:Contin
echo Searching for Generic products on the default drive.
cd \
:ins_lv2
if EXIST %id%%ip%install.sta del %id%%ip%install.sta
if NOT EXIST \level2\cadd.exe goto ins_lv3
echo CADD Level 2 found
echo please wait while files are coping...
cd \level2
copy %id%%ip%lgen911.vgd lgen911.vgd > %id%%ip%install.sta
echo .
copy %id%%ip%sgen911.vgd sgen911.vgd > %id%%ip%install.sta
echo .
copy %id%%ip%readme.bat install.sta > %id%%ip%install.sta
echo .
echo Please configure Level 2 for "S3 86C911"
pause
config
echo Generic CADD Level 2 driver installation completed.
:ins_lv3
if NOT EXIST \level3\cadd.exe goto ins_3dd
echo CADD Level 3 found
echo please wait while files are coping...
cd \level3
copy %id%%ip%lgen911.vgd lgen911.vgd > %id%%ip%install.sta
echo .
copy %id%%ip%sgen911.vgd sgen911.vgd > %id%%ip%install.sta
echo .
echo Please configure Level 3 for "S3 86C911"
pause
config
echo Generic CADD Level 3 driver installation completed
:ins_3dd
if NOT EXIST \3dd\3dd.exe goto ins_cad5
echo 3D Drafting found
echo please wait while files are coping...
cd \3dd
copy %id%%ip%lgen911.vgd lgen911.vgd > %id%%ip%install.sta
echo .
copy %id%%ip%sgen911.vgd sgen911.vgd > %id%%ip%install.sta
echo .
echo Please configure 3DD for "S3 86C911"
pause
3dconfig
echo Generic CADD 3DD driver installation completed.
:ins_cad5
if NOT EXIST \cadd5\gcadd.exe goto All_Done
echo CADD 5.0 found
echo please wait while files are coping...
cd \cadd5
copy %id%%ip%lgen911.vgd lgen911.vgd > %id%%ip%install.sta
echo .
copy %id%%ip%sgen911.vgd sgen911.vgd > %id%%ip%install.sta
echo .
echo Please configure CADD 5.0 for "S3 86C911"
echo In order to select this driver, you must first
echo select the "other VGDs" option.
pause
config
echo Generic CADD 5.0 driver installation completed.
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive %id%.
echo   *   The install disk cannot be write protected.
echo   *   The CURRENT drive must contain Level 2, Level 3, CADD 5.0 or 3DD.
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in the manual. (%id%%id%README.DOC)
goto end
:All_Done
rem
rem Here we will tell the user that installation is completed.
rem Alex Jen
if NOT EXIST %id%%ip%install.sta goto USAGE
del %id%%ip%install.sta
echo GraphicsENGINE driver installation is now completed!
:end
pause
